-- Possible spells and abilities

W_PRIESTSpellTable = {
	{"Healing", "Flash Heal","Lesser Heal", "Heal", "Greater Heal","Prayer of Healing","Renew"},
	{"Power Word", "Power Word: Fortitude", "Power Word: Shield"},
	{"Cures", "Cure Disease","Abolish Disease","Dispel Magic"},
	"Spirit of Redemption","Inner Fire","Elune's Grace","Focused Casting","Inner Focus","Divine Spirit","Resurrection","Mind Vision","Shadow Form" };

W_MAGESpellTable = {
	{"Conjuring", "Conjure Food","Conjure Water","Conjure Mana Agate","Conjure Mana Jade","Conjure Mana Citrine","Conjure Mana Ruby","Conjure Mana Emerald"},
	{"Armor", "Frost Armor","Ice Armor","Mage Armor","Molten Armor","Mana Shield"},
	{"Wards","Fire Ward","Frost Ward"},
	"Arcane Brilliance","Arcane Intellect","Arcane Power","Blink","Cold Snap","Evocation","Frost Nova","Ice Barrier","Ice Block","Presence of Mind","Remove Lesser Curse","Slow Fall","Amplify Magic","Dampen Magic","Invisibility"};

W_PALADINSpellTable = {
	{"Blessings", "Blessing of Might", "Blessing of Protection", "Blessing of Wisdom", "Blessing of Freedom", "Blessing of Salvation", "Blessing of Sanctuary", "Blessing of Light", "Blessing of Sacrifice", "Blessing of Kings"},
	{"Greater Blessings", "Greater Blessing of Might", "Greater Blessing of Protection", "Greater Blessing of Wisdom", "Greater Blessing of Freedom", "Greater Blessing of Salvation", "Greater Blessing of Sanctuary", "Greater Blessing of Light", "Greater Blessing of Sacrifice", "Greater Blessing of Kings"},
	{"Auras", "Devotion Aura", "Retribution Aura", "Concentration Aura", "Sanctity Aura", "Shadow Resistance Aura", "Frost Resistance Aura", "Fire Resistance Aura", "Crusader Aura"},
	{"Seals", "Seal of Righteousness", "Seal of Command", "Seal of the Crusader", "Seal of Justice", "Seal of Light", "Seal of Wisdom", "Seal of Vengeance", "Seal of Blood"},
	{"Divine", "Divine Intervention", "Divine Protection", "Divine Shield", "Divine Favor"},
	{"Healing", "Flash Of Light", "Holy Light", "Lay On Hands"},
	{"Holy", "Holy Shield", "Holy Light", "Holy Wrath", "Holy Shock"},
	"Cleanse", "Purify", "Righteous Fury", "Righteous Defense", "Redemption"}

W_DRUIDSpellTable = {
	{"Forms", "Flight Form", "Cat Form", "Bear Form", "Aquatic Form", "Moonkin Form", "Travel Form"},
	{"Cure", "Remove Curse", "Cure Poison", "Abolish Poison"},
	{"Healing", "Healing Touch", "Rejuvenation", "Regrowth", "Swiftmend", "Frenzied Regeneration"},
	{"Buff", "Mark of the Wild", "Gift of the Wild" },
	"Tranquility", "Thorns", "Omen of Clarity", "Nature's Swiftness", "Nature's Grasp", "Lifebloom", "Barkskin"}

W_ROGUESpellTable = {"Stealth", "Evasion", "Sprint", "Slice and Dice", "Feint", "Distract", "Vanish", "Disarm Trap", "Blade Flurry", "Cold Blood", "Preparation", "Adrenaline Rush", "Cloak of Shadows", "Instant Poison", "Crippling Poison", "Mind-numbing Poison", "Deadly Poison"};


W_WARRIORSpellTable = {
	{"Shouting", "Battle Shout", "Demoralizing Shout", "Intimidating Shout", "Commanding Shout", "Challenging Shout"},
	"Thunder Clap", "Bloodrage", "Charge", "Shield Block", "Disarm", "Dual Wield", "Shield Wall", "Berserker Rage", "Recklessness", "Spell Refection",  "Intervene", "Piercing Howl", "Death Wish", "Sweeping Strikes", "Last Stand"};

W_HUNTERSpellTable = {
	{"Pets", "Call Pet", "Dismiss Pet", "Revive Pet", "Feed Pet", "Mend Pet"},
	{"Tracking", "Track Beasts", "Track Undead", "Track Demons", "Track Dragonkin", "Track Hidden", "Track Elementals", "Track Humanoids","Track Giants"},
	{"Aspect", "Aspect of the Monkey", "Aspect of the Hawk", "Aspect of the Beast", "Aspect of the Wild", "Aspect of the Pack", "Aspect of the Cheetah"},
	{"Traps", "Frost Trap", "Freezing Trap", "Immolation Trap", "Explosive Trap"},
	"Parry", "Eagle Eye", "Eyes of the Beast", "Disengage", "Deterrence", "Rapid Fire", "Feign Death", "Intimidation", "Scatter Shot", "Flare", "Spirit Bond", "Trueshot Aura", "Cower", "Dash", "Dive", "Furious Howl", "Prowl", "Shell Shield", "Thunderstomp", "Dual Wield"};

W_WARLOCKSpellTable = {"Demon Skin", "Curse of Weakness", "Summon Imp", "Life Tap", "Create Healthstone", "Health Funnel", "Unending Breath", "Create Soulstone", "Ritual of Summoning", "Demon Armor", "Eye of Kilrogg", "Sense Demons", "Detect Lesser Invisibility", "Create Firestone", "Shadow Ward", "Create Spellstone", "Howl of Terror", "Dark Pact"};

W_SHAMANSpellTable = {"Lesser Healing Wave", "Healing Wave", "Chain Heal", "Cure Poison", "Cure Disease", "Lightning Shield", "Ghost Wolf", "Water Breathing", "Far Sight", "Water Walking", "Elemental Mastery", "Stormstrike", "Nature's Swiftness", "Water Shield", "Bloodlust", "Heroism"};


-- test menu items
W_MenuItems = { "Menu Item1", "Menu Item2", {"Healing Spells", "hello", "goodbye"}, "Menu Item4", {"Other Spells", "Stuff", "Things"} };
-- test menu items

--
-- Default Spells for the drop downs
--
-- Priest defaults
W_PRIESTDefaultSpellTable = {
"Flash Heal","Renew","Power Word: Shield",
"Greater Heal","Prayer of Healing","Abolish Disease",
"Power Word: Fortitude", "Inner Fire", "Dispel Magic",
"Heal", "Heal", "Heal"};

-- Mage Defaults
W_MAGEDefaultSpellTable = {
"Remove Lesser Curse","Arcane Intellect","Mage Armor",
"Conjure Water","Conjure Food","Conjure Mana Ruby",
"Molton Armor","Ice Armor","Evocation",
"Trade", "Whisper", "Ice Block"}

-- Paly Defaults
W_PALADINDefaultSpellTable = {
"Flash of Light","Cleanse","Holy Light",
"Holy Wrath","Holy Shield","Holy Shock",
"Lay on Hands","Divine Shield","Righteous Defense",
"Seal of the Crusader","Seal of Vengeance","Seal of Light"}

-- Druid Defaults
W_DRUIDDefaultSpellTable = {
"Healing Touch", "Mark of the Wild", "Remove Curse",
"Travel Form", "Swiftmend", "Nature's Swiftness",
"Moonkin Form", "Frenzied Regeneration", "Bear Form",
"Tranquility", "Omen of Clarity", "Regrowth"}

-- Rogue Defaults
W_ROGUEDefaultSpellTable = {
"Stealth", "Evasion", "Sprint",
"Slice and Dice", "Feint", "Distract",
"Vanish", "Disarm Trap", "Blade Flurry",
"Cold Blood", "Preparation", "Adrenaline Rush"}

-- Warrior Defaults
W_WARRIORDefaultSpellTable = {
"Battle Shout", "Thunder Clap", "Bloodrage", 
"Demoralizing Shout", "Charge", "Shield Block", 
"Disarm", "Dual Wield", "Intimidating Shout", 
"Challenging Shout", "Shield Wall", "Berserker Rage"};

-- Hunter Defaults
W_HUNTERDefaultSpellTable = {
"Parry", "Call Pet", "Dismiss Pet",
"Revive Pet", "Feed Pet", "Track Beasts",
"Aspect of the Monkey", "Aspect of the Hawk", "Track Humanoids",
"Mend Pet", "Eagle Eye", "Eyes of the Beast"};

-- Warlock Defaults
W_WARLOCKDefaultSpellTable = {
"Demon Armor", "Curse of Weakness", "Summon Imp", 
"Life Tap", "Howl of Terror", "Shadow Ward",
"Create Soulstone", "Create Healthstone", "Create Firestone",
"Health Funnel", "Ritual of Summoning", "Dark Pact"};

-- Shaman Defaults
W_SHAMANDefaultSpellTable = {
"Healing Wave", "Chain Heal", "Lightning Shield",
"Cure Poison", "Cure Disease", "Heroism",
"Ghost Wolf", "Far Sight", "Elemental Mastery",
"Stormstrike", "Water Shield", "Bloodlust"};


W_bUseDefaults = true;
W_bUseLoaded = false;

W_kMaxDropDownButtons = 12; --the max # of drop downs, which correspond to mouse buttons, Left,Middle,Right then ctrl L,M,R, Shift L, M, R, alt L,M,R
W_kMaxUnitButtons = 40; --the total number of unit (player) buttons. currently set to 5, need to change to 40 to handle a raid

W_kMaxNumGroups = 8;
W_kMaxNumUnitsPerGroup = 5;

W_kFontNamePlayer = "GameFontGreenSmall";
W_kFontNameOthers = "GameFontNormalSmall";
W_kFontNameHighlight = "GameFontHighlightSmall";
W_kFontNameDisable = "GameFontDisableSmall";

W_gUnitButtonTable = {}; --keeps track of which unitID is in each of the unit buttons

W_kOrientRect = 1;
W_kOrientHorizontal = 2;


